Loading...
Searching...
No Matches
aes_ctr.h File Reference
`#include <stdint.h>`
`#include "attributes.h"`

Go to the source code of this file.

## Macros

#define | AES_CTR_KEY_SIZE (16)
#define | AES_CTR_IV_SIZE (8)

## Functions

struct AVAESCTR * | av_aes_ctr_alloc (void)
| Allocate an AVAESCTR context.
int | av_aes_ctr_init (struct AVAESCTR *a, const uint8_t *key)
| Initialize an AVAESCTR context.
void | av_aes_ctr_free (struct AVAESCTR *a)
| Release an AVAESCTR context.
void | av_aes_ctr_crypt (struct AVAESCTR *a, uint8_t *dst, const uint8_t *src, int size)
| Process a buffer using a previously initialized context.
const uint8_t * | av_aes_ctr_get_iv (struct AVAESCTR *a)
| Get the current iv.
void | av_aes_ctr_set_random_iv (struct AVAESCTR *a)
| Generate a random iv.
void | av_aes_ctr_set_iv (struct AVAESCTR *a, const uint8_t *iv)
| Forcefully change the 8-byte iv.
void | av_aes_ctr_set_full_iv (struct AVAESCTR *a, const uint8_t *iv)
| Forcefully change the "full" 16-byte iv, including the counter.
void | av_aes_ctr_increment_iv (struct AVAESCTR *a)
| Increment the top 64 bit of the iv (performed after each frame)